=== modified file '.bzrignore'
--- .bzrignore	2010-01-12 23:47:16 +0000
+++ .bzrignore	2010-01-19 16:04:56 +0000
@@ -4,3 +4,5 @@
 zeitgeist
 build
 po/POTFILES.in
+dist
+MANIFEST

=== added file 'HACKING'
--- HACKING	1970-01-01 00:00:00 +0000
+++ HACKING	2010-01-19 16:04:56 +0000
@@ -0,0 +1,36 @@
+Release Tasks
+------------------------------------------
+
+1. Bump the VERSION number in src/config.py.
+
+2. Update the NEWS file, and ensure it lists all changes (hint: bzr log).
+
+3. Generate the tarball:
+
+    python setup.py sdist
+
+4. Manually check the contents of the generated tarball (you'll find it
+   in dist/) to ensure there's no file missing or too much, and try
+   installing and running it.
+   
+   If you find a problem, fix it, commit the fix, and start again from 1.
+   Hint: In case of a missing file or a useless file being there, edit
+   the MANIFEST.in file.
+
+5. Create a datached signature for the tarball, with:
+
+    gpg --armor --sign --detach-sig \
+        dist/gnome-activity-journal-$(python -c \
+        'import src.config; print src.config.VERSION').tar.gz
+
+6. Upload the tarball and the generated *.asc GPG signature to the right
+   milestone on Launchpad.
+
+7. Write an announcement e-mail and send it to the following mailing lists:
+
+    + zeitgeist@lists.launchpad.net
+    + gnome-zeitgeist-users@lists.launchpad.net
+    + gnome-announce-list@gnome.org
+
+10. Post an announcement on the Launchpad project page based the e-mail.
+

=== added file 'MANIFEST.in'
--- MANIFEST.in	1970-01-01 00:00:00 +0000
+++ MANIFEST.in	2010-01-19 16:04:56 +0000
@@ -0,0 +1,6 @@
+include gnome-activity-journal AUTHORS
+recursive-include extra *
+recursive-include data *
+recursive-include po *
+recursive-include src *.py
+recursive-include fungtk *.py README*

=== modified file 'setup.py'
--- setup.py	2010-01-18 16:15:06 +0000
+++ setup.py	2010-01-19 16:04:56 +0000
@@ -87,14 +87,21 @@
         l.extend(arg)
     return l
 
+from src.config import VERSION
+
 setup(
-    name = 'GNOME Activity Journal',
-    version = '0.1',
-    description = 'Zeitgeist GUI',
+    name = 'gnome-activity-journal',
+    version = VERSION,
+    description = 'GUI to browse and search your Zeitgeist activities',
+    long_description = \
+        'GNOME Activity Journal is a tool for easily browsing and finding '\
+        'files on your computer. It shows a chronological journal of all '\
+        'file activity and supports full-text search through Tracker.',
     author = 'GNOME Activity Journal Developers',
     author_email = 'zeitgeist@lists.launchpad.net',
     url = 'https://launchpad.net/gnome-activity-journal',
-    license = 'GPL',
+    license = 'GPLv3+',
+    platforms = ['GNU/Linux'],
     data_files = list_from_lists(
         [('share/gnome-activity-journal', ['gnome-activity-journal'])],
         recursive_install('share/gnome-activity-journal', 'data/'),

